> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/jobs/{job_id}
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/wikis/{wiki_id}/jobs/{job_id}:
    get:
      summary: Job
      operationId: job_v1_wikis__wiki_id__jobs__job_id__get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedJobDTO'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedJobDTO:
      additionalProperties: false
      properties:
        created_at:
          title: Created At
          type: string
        current_step:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Step
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        import_batch_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Import Batch Id
        job_id:
          title: Job Id
          type: string
        kind:
          $ref: '#/components/schemas/HostedJobKind'
        operation:
          title: Operation
          type: string
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Worker
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        status:
          $ref: '#/components/schemas/HostedJobStatus'
        status_label:
          title: Status Label
          type: string
        status_state:
          enum:
            - queued
            - running
            - succeeded
            - failed
            - unknown
          title: Status State
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        updated_at:
          title: Updated At
          type: string
        wiki_id:
          title: Wiki Id
          type: string
      required:
        - job_id
        - wiki_id
        - import_batch_id
        - kind
        - operation
        - status
        - current_step
        - provider
        - summary
        - error
        - status_state
        - status_label
        - created_at
        - updated_at
        - started_at
        - finished_at
      title: HostedJobDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedJobKind:
      enum:
        - ingest
        - garden
      title: HostedJobKind
      type: string
    HostedJobStatus:
      enum:
        - queued
        - running
        - succeeded
        - failed
      title: HostedJobStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````